[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Abs

Calculate absolute value

## Declaration

Source position: systemh.inc line 869

`function Abs(`
`l: LongInt`
`):LongInt; function Abs(`
`l: Int64`
`):Int64; function Abs(`
`d: ValReal`
`):ValReal;`

## Description

Abs returns the absolute value of a variable. The result of the function has the same type as its argument, which can be any numerical type.

## Errors

None.

## See also

Round |  | Round floating point value to nearest integer number.

## Example

    Program Example1;

    { Program to demonstrate the Abs function. }

    Var
      r : real;
      i : integer;

    begin
      r:=abs(-1.0);   { r:=1.0 }
      i:=abs(-21);    { i:=21 }
    end.